package com.example.client.data;

import com.google.gwt.editor.client.Editor.Path;

import com.sencha.gxt.core.client.ValueProvider;
import com.sencha.gxt.data.shared.LabelProvider;
import com.sencha.gxt.data.shared.ModelKeyProvider;
import com.sencha.gxt.data.shared.PropertyAccess;

public interface StockProperties extends PropertyAccess<Stock>
{
	@Path("id")
	ModelKeyProvider<Stock> key();
  
	@Path("symbol")
	LabelProvider<Stock> symbolLabel();

	ValueProvider<Stock, String> name  ();
	ValueProvider<Stock, String> symbol();
}
