package com.example.client.widgets;

import com.example.client.data.Stock;
import com.google.gwt.core.client.GWT;
import com.sencha.gxt.core.client.XTemplates;
import com.google.gwt.cell.client.AbstractCell;
import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.safehtml.shared.SafeHtmlBuilder;

public class StockCell extends AbstractCell<Stock> 
{
	public interface StockXTemplates extends XTemplates {
		@XTemplate(source = "stock.html")
		SafeHtml renderCell(Stock stock);
	}

	private StockXTemplates tpl = GWT.create(StockXTemplates.class);

	@Override
	public void render(Context context, Stock stock, SafeHtmlBuilder sb) {
		sb.append(tpl.renderCell(stock));
	}
}
